@echo off
REM **************************************************************
REM *      Sample Batch File for running FrontDoor with BFE      *
REM *      ------------------------------------------------      *
REM * BFE was designed to run from a Fidonet mailer, thus BFE    *
REM * performs flawlessly under mailers such as Frontdoor.  It   *
REM * also works great under other mailers such as BinkleyTerm   *
REM * and Portal of Power.                                       *
REM *                                                            *
REM * I will now describe the most efficient method of running   *
REM * the two together.  First off, in FDSETUP, under Mailer     *
REM * and Errorlevels, set *all* of the errorlevels for the      *
REM * various baud rates to the same value!  In this example,    *
REM * we will use 49 (lucky number).  Also enable the option at  *
REM * the bottom of the menu to "Create BAT.file".  This will    *
REM * force FD to generate a bat file called DOBBSx.BAT (x is    *
REM * the node number, or 0 for single node systems).  This file *
REM * will look something like:                                  *
REM *                                                            *
REM *   EXEBBS 9600 1 516 ...etc                                 *
REM *                                                            *
REM * The first number (9600) is the baud rate, the second       *
REM * number (1) is the port number, the third is the time until *
REM * the next FD event.  There may be additional values after   *
REM * these, depending on your version of FD.                    *
REM *                                                            *
REM * Below is a sample FDSTART.BAT file.  Note how we trap the  *
REM * errorlevel 49 from above, and call the DOBBS0.BAT file.    *
REM * See the sample EXEBBS.BAT file to how BFE is started.      *
REM *                                                            *
REM **************************************************************

REM Set the FrontDoor environment variable (just to make sure!)
set FD=C:\fd

REM Change to the FD directory
C:
cd\fd

REM Main Processing Loop for the Mailer
:Loop

REM Set the Fossil driver before we go in, just to make sure its ok
XU SET:2:19200 LOCK:2:19200 FIFO:10

REM Run FrontDoor!
fd
If Errorlevel 255 goto End
If Errorlevel 150 goto packmail
If Errorlevel 99 goto Maint
REM .
REM .
If Errorlevel 49 goto bbscall
REM .
REM .
If Errorlevel 5 goto End
If Errorlevel 4 goto End
If Errorlevel 3 goto End
If Errorlevel 2 goto End
If Errorlevel 1 goto End

goto Loop

:bbscall
 C:
 cd c:\fd
 dobbs0.bat
 goto Loop

:Maint
 M:
 cd C:\max
 call sysmaint
 cd C:\fd
 goto Loop

REM Here is where your echomail/netmail is normally processed

:Packmail
 C:
 cd C:\max
 squish in out squash -fC:\max\echotoss.log -snormal
 goto Loop

:End
 cd\fd
 XU PORT:2:OFF
